#ifndef KSLSOFTINTERFACE_H
#define KSLSOFTINTERFACE_H

#include <ks-license/license-i.h>
#include <QObject>
#include <QTranslator>
#include "active-guide.h"
#include "cmake-define.h"

class KslVA : public QWidget
{
    Q_OBJECT
public:
    explicit KslVA(const QString &ObjectName, const QIcon &icon, QWidget *parent = NULL);

    static LicenseActivationStatus getLicenseState(const QString &ObjectName, QString &error);

    static time_t getExpiryTime(const QString &ObjectName, QString &error);

private:
    VA::ActiveGuide *activeGuide;
    QTranslator *m_translator;

private slots:
    void on_sigAcived(time_t expiryDay);
    void onSigCLose();
signals:
    void sigActived(time_t expiryDay);
};

#endif  // KSLSOFTINTERFACE_H
